Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageDotProduct Class Reference

`#include <vtkImageDotProduct.h>`

Inheritance diagram for vtkImageDotProduct:

[legend]
Collaboration diagram for vtkImageDotProduct:

[legend]
List of all members.

## Detailed Description

Dot product of two vector images.

Date:
  2002/01/22 15:32:23

Revision:
  1.26

vtkImageDotProduct interprets the scalar components of two images as vectors and takes the dot product vector by vector (pixel by pixel).

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (46%)
  - Martin, Ken (37%)
  - Lorensen, Bill (7%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageDotProduct.cxx)`
  - .`h` (`/Imaging/vtkImageDotProduct.h)`

Tests:
  vtkImageDotProduct (Tests)

Definition at line 49 of file vtkImageDotProduct.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageDotProduct * | New ()
int | IsTypeOf (const char *type)
vtkImageDotProduct * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageDotProduct ()
| ~vtkImageDotProduct ()
void | ExecuteInformation (vtkImageData **inDatas, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageDotProduct::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 53 of file vtkImageDotProduct.h.

## Constructor & Destructor Documentation

vtkImageDotProduct::vtkImageDotProduct | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkImageDotProduct.h.

vtkImageDotProduct::~vtkImageDotProduct | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkImageDotProduct.h.

## Member Function Documentation

vtkImageDotProduct* vtkImageDotProduct::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageDotProduct::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageDotProduct::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageDotProduct::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageDotProduct* vtkImageDotProduct::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageDotProduct::ExecuteInformation | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageDotProduct::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 60 of file vtkImageDotProduct.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageDotProduct::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageDotProduct.h